# Copyright (c) 2000-2011, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

%bcond_without repolib

Name:           fusesource-pom
Version:        1.8
Release:        1%{?dist}
Epoch:          0
Summary:        FuseSource POM
License:        ASL 2.0
Group:          Development/Java
URL:            http://labs.jboss.com/jboss/
%if 0
mkdir -p fusesource-pom-1.8 && cd fusesource-pom-1.8 && wget -U "" http://repo1.maven.org/maven2/org/fusesource/fusesource-pom/1.8/fusesource-pom-1.8.pom && mv fusesource-pom-1.8.pom pom.xml && cd ..  && \
    tar cjf fusesource-pom-1.8.tar.bz2 fusesource-pom-1.8
%endif
Source0:        fusesource-pom-1.8.tar.bz2
Patch0: fusesource-pom-pom.patch
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       maven2
Requires:       maven2-plugin-antrun
Requires:       maven2-plugin-clean
Requires:       maven2-plugin-compiler
Requires:       maven2-plugin-deploy
Requires:       maven2-plugin-docck
Requires:       maven2-plugin-enforcer
Requires:       maven2-plugin-install
Requires:       maven2-plugin-invoker
Requires:       maven2-plugin-jar
Requires:       maven2-plugin-javadoc
Requires:       maven2-plugin-plugin
Requires:       maven2-plugin-release
Requires:       maven2-plugin-resources
Requires:       maven2-plugin-remote-resources
Requires:       maven2-plugin-site
Requires:       maven2-plugin-source
Requires:       maven2-plugin-surefire
Requires:       maven-wagon
Requires:       plexus-maven-plugin
Requires:       modello-maven-plugin
BuildRequires:  maven2
BuildRequires:  maven2-plugin-antrun
BuildRequires:  maven2-plugin-clean
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-docck
BuildRequires:  maven2-plugin-enforcer
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-invoker
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-plugin
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-remote-resources
BuildRequires:  maven2-plugin-site
BuildRequires:  maven2-plugin-source
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven-wagon
BuildRequires:  plexus-maven-plugin
BuildRequires:  modello-maven-plugin
BuildRequires:  jpackage-utils
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
This is a shared POM parent for FuseSource Maven projects.

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java

%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%setup -q
%patch0 -p1 -b .sav0

%build
%{_bindir}/mvn-jpp -e \
        -DaltDeploymentRepository=jboss-releases::default::file://$(pwd)/maven2-brew \
        deploy

%install
%{__rm} -rf %{buildroot}

%add_to_maven_depmap org.fusesource fusesource-pom %{version} JPP %{name}

%{__mkdir_p} %{buildroot}%{_datadir}/maven2/poms
%{__cp} -p pom.xml %{buildroot}%{_datadir}/maven2/poms/JPP-%{name}.pom

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(0644,root,root,0755)
%{_datadir}/maven2/poms/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Wed Dec 14 2011 David Walluck <dwalluck@redhat.com> 0:1.8-1
- 1.8

* Mon Dec 20 2010 David Walluck <dwalluck@redhat.com> 0:1.2-3
- fix changelog

* Mon Dec 20 2010 David Walluck <dwalluck@redhat.com> 0:1.2-2
- (Build)Requires: maven2-plugin-resources

* Mon Dec 20 2010 David Walluck <dwalluck@redhat.com> 0:1.2-1
- release
